%==========================================================
% ecf_init.m - Setup initial variables in filter state 
%              structure.
% k_p - tuning parameter for vector mesurement feedback.
% k_i - tuning parameter for bias convergence.
% euler - initial euler angles.
% gyr_bias - initial gyro bias estimate.
%==========================================================
function [x] = ecf_init(k_p, k_i, euler, gyr_bias)
x.k_p = k_p;
x.k_i = k_i;
x.q_hat = e2q(euler);
x.gyr_bias_hat = gyr_bias;
x.R = q2rot(x.q_hat);

