%==========================================================
% hua_predict.m - Predict filter state after a specified 
%                 time dt using gyro and accelerometer 
%                 measurements.
%
% x - filter state structure
% w - bias corrected angular velocity from gyro
% a - accelration from an accelerometer
% dt - time step
%==========================================================
function [x] = hua_predict(x, w, a, dt)
x.v_hat_dot = [0 0 9.81]' + x.Q_hat*a;
x.v_hat = x.v_hat + dt * x.v_hat_dot;
x.Q_hat = x.Q_hat + dt * x.Q_hat*skew(w);